
QGIS Application - Bug report #14123

Crash when choosing "Save As" on a layer with sqlite 3.10

2016-01-17 09:48 AM - Doug Newgard

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: up/downstream

Crashes QGIS or corrupts data:Yes Copied to github as #: 22125

Description

QGIS segfaults when choosing "Save As" from the right click menu of a layer when using sqlite 3.10.0+. Works fine with sqlite 3.9.2.

Not sure if this is a problem with sqlite, gdal (2.0.1), libspatialite (4.3.0a), qgis (2.12.3), or whatever, so I'm starting at the high point in the

stack.

bt and bt full with debugging symbols attached. I don't have symbols for Qt included, but can get them if you need them.

History

#1 - 2016-01-17 09:49 AM - Doug Newgard

- File qgis_bt.txt added

- File qgis_bt-full.txt added

Files didn't attach the first time.

#2 - 2016-01-19 04:24 AM - Sandro Santilli

I cannot reproduce with current qgis master (69cb0c4ed3174946c82e32dad4af5a12275079fc) built and running against SpatiaLite Version 4.4.0-topo-1

(as reported by Help->About)

#3 - 2016-01-19 04:25 AM - Sandro Santilli

- Status changed from Open to Feedback

Oh, and I'm usign GDAL 1.11.1 (built and run against)

#4 - 2016-01-19 04:29 AM - Victor Ducrot

I experience the exact same issue on ManjaroLinux 15.12:

qgis 2.12.3-1

libspatialite 4.3.0.a-1

gdal-filegdb 2.0.r32195-1

Qgis crashes when trying "save as" (layer) with sqlite 3.10.1-1. Works fine with sqlite 3.9.2-1
#5 - 2016-01-19 10:20 AM - Donovan Cameron

I'd like to test on Master, but can't because it won't compile on Arch Linux as result of this #13686

I'm running Arch Linux like the OP:

QGIS 2.12.3 (99ac688)

GDAL/OGR 2.0.1 (r33037)

Spatialite 4.4.0-RC0 (from fossil)

SQLite 3.10.1

@Sandro What version of sqlite are you running for the qgis master build?

#6 - 2016-01-20 03:09 PM - Doug Newgard

Just tested with current QGIS Master and sqlite 3.10.2, same result.

#7 - 2016-01-23 01:56 AM - Antal Kosza

Same crash and debuginfo here (debian sid, gdal 1.11.3 and sqlite 3.10.2, qgis master and 2.8.4).

#8 - 2016-02-09 03:07 AM - Sandro Santilli

My version of sqlite is 3.8.2 -- Just tested again with qgis master (964ae1f) and I can open a layer from a spatialite file and right-click-save-as another

spatialite file. No crash. Do you have a way to test with sqlite 3.8 ?

#9 - 2016-02-09 12:21 PM - Doug Newgard

As it seems to have shown up with 3.10, I wouldn't exepct 3.8 to have any problems

#10 - 2016-02-09 11:57 PM - Paolo Cavallini

See also #14253

#11 - 2016-02-10 01:10 AM - Giovanni Manghi

- Status changed from Feedback to Open

- Affected QGIS version changed from 2.12.2 to master

- OS version deleted (4.3.3)

- Operating System deleted (Linux (Arch))

- Target version set to Future Release - High Priority

- Priority changed from Normal to High

- Category set to Vectors

#12 - 2016-02-10 03:56 AM - Paolo Cavallini

- Priority changed from High to Severe/Regression

- Target version changed from Future Release - High Priority to Version 2.14

#13 - 2016-02-10 06:33 AM - Even Rouault
- Target version deleted (Version 2.14)

This is a Unix specific issue since SQLite 3.10.0 (where the unixCurrentTime implementation of the xCurrentTime SQLite VFS function has been aliased to

NULL). See https://trac.osgeo.org/gdal/ticket/6360 for a GDAL fix

#14 - 2016-02-11 01:52 AM - Giovanni Manghi

- Status changed from Open to Feedback

rouault - wrote:

This is a Unix specific issue since SQLite 3.10.0 (where the unixCurrentTime implementation of the xCurrentTime SQLite VFS function has been

aliased to NULL). See https://trac.osgeo.org/gdal/ticket/6360 for a GDAL fix

so we should close this as "upstream", right?

#15 - 2016-02-11 04:57 AM - Even Rouault

Note from Sebastiaan Couwenberg :

""" 

gdal (1.11.3+dfsg-3) is now available in unstable and gdal (1.11.4+dfsg-1~exp2) in experimental with the fix for this issue.

Ubuntu has gdal (1.11.3+dfsg-3) in proposed for xenial, hopefully they won't stall moving it to release like grass (7.0.3-1) & netcdf (1:4.4.0-1) and their

related packages.

"""

#16 - 2016-02-11 05:39 AM - Paolo Cavallini

I confirm, fixed in current Sid. Thanks Even and Bas.

#17 - 2016-02-11 09:06 AM - Giovanni Manghi

- Status changed from Feedback to Closed

- Resolution set to up/downstream

Files

qgis_bt.txt 8.14 KB 2016-01-17 Doug Newgard

qgis_bt-full.txt 39.2 KB 2016-01-17 Doug Newgard
